# File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.

from typing import List
from typing_extensions import Literal

from pydantic import Field as FieldInfo

from ..._models import BaseModel

__all__ = ["TaskAllResponse", "Meta", "Task"]


class Meta(BaseModel):
    current_page: int = FieldInfo(alias="currentPage")
    """The current page number."""

    total_pages: int = FieldInfo(alias="totalPages")
    """Total number of pages available."""

    total_records: int = FieldInfo(alias="totalRecords")
    """Total number of records across all pages."""


class Task(BaseModel):
    execution_time: int = FieldInfo(alias="executionTime")
    """Time taken for the task execution (in seconds)."""

    execution_type: Literal["default", "deepsearch"] = FieldInfo(alias="executionType")
    """The type of execution performed (e.g., 'default', 'deepsearch')."""

    inputs: object
    """Input parameters used for the task execution."""

    output: List[object]
    """Output generated by the task execution."""

    raccoon_passcode: str = FieldInfo(alias="raccoonPasscode")
    """Passcode associated with the user."""

    task_id: str = FieldInfo(alias="taskId")
    """Unique identifier for the task."""

    timestamp: int
    """Unix timestamp (in seconds) indicating when the task was created."""


class TaskAllResponse(BaseModel):
    meta: Meta
    """Metadata about the task list."""

    tasks: List[Task]
    """List of tasks."""
